Query parameters
The page number to retrieve.
The number of identities to return per page.
Response
An array of identity objects.
The current page number.
The number of results per page.
The total number of identities across all pages.
Retrieve all agent identities for your account, paginated.
Show Identity object
null if no email was provisioned.AGENTMAIL), or null.null if no phone was provisioned.AGENTPHONE), or null.null if no card was provisioned.PRIVACY), or null.curl https://api.agentity.to/identities \
-H "Authorization: Bearer YOUR_JWT"
{
"identities": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"agentId": "my-agent-001",
"emailAddress": "my-agent-001@agentmail.to",
"emailProvider": "AGENTMAIL",
"phoneNumber": "+14155550100",
"phoneProvider": "AGENTPHONE",
"virtualCardToken": "tok_sandbox_abc123",
"virtualCardProvider": "PRIVACY"
}
],
"page": 1,
"pageSize": 50,
"total": 1
}
curl https://api.agentity.to/identities \
-H "Authorization: Bearer YOUR_JWT"
{
"identities": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"agentId": "my-agent-001",
"emailAddress": "my-agent-001@agentmail.to",
"emailProvider": "AGENTMAIL",
"phoneNumber": "+14155550100",
"phoneProvider": "AGENTPHONE",
"virtualCardToken": "tok_sandbox_abc123",
"virtualCardProvider": "PRIVACY"
}
],
"page": 1,
"pageSize": 50,
"total": 1
}